/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
// $Id: infomore.cpp,v 1.5 2000/10/12 22:52:36 napalmbox Exp $
// $Log: infomore.cpp,v $
// Revision 1.5  2000/10/12 22:52:36  napalmbox
// some "polish" ...
//
// Revision 1.4  2000/10/12 21:55:17  napalmbox
// modifications
//
// Revision 1.3  2000/09/30 19:49:25  napalmbox
// big update
//
// Revision 1.2  2000/09/13 19:11:13  napalmbox
// replase kicq ver 1.0.0 files with kicq ver 2.0.0 files
//
// Revision 1.1.2.1  2000/07/02 05:45:55  napalmbox
// port kicq -> kde2 :))
//
// Revision 1.1  2000/05/24 16:58:18  denis
// Sources have been splitted to the whole bunch of appropriate
// directories. Every directory is end up with static library. All
// of them are linked together to the final kicq binary.
//
// Revision 1.10  2000/01/10 16:08:32  denis
// Headers reorganized for simplify dependencies and speedup compilation.
//
// Revision 1.9  1999/10/03 12:13:37  guruz
// Various Changes
//
// Revision 1.8  1999/10/02 12:35:44  guruz
// Changed some things in the KLineEditWithPopupMenu
// Made Homepage Info Line Edit Popup Menu
//
// Revision 1.7  1999/07/23 12:37:38  denis
// Layout management support implemented.
// Cleaned up.
//
// Revision 1.6  1999/07/16 15:48:13  denis
// Cleaned up.
//
// Revision 1.5  1999/07/16 13:11:21  denis
// Internalization support added.
//
// Revision 1.4  1998/12/08 16:18:01  denis
// Cleaned up a little before releasing
//

#include <stdlib.h> 
#include <qlayout.h>
#include <qbuttongroup.h>
#include "main.h"
#include "mydetailspics.h"
#include "corewidget.h"
#include "kwebbrowser.h"
#include "infomore.h"

#include "infomore.moc"

MoreWidget::MoreWidget(QWidget *parent) : QWidget(parent)
{
  QButtonGroup *hpbox = new QButtonGroup(this);
  hpbox->setGeometry(2, 6, 404, 82);
  hpbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  hpbox->setTitle(i18n("Additional Details"));

  QLabel *hplabel = new QLabel(i18n("Homepage:"),hpbox);
  hplabel->setGeometry(10, 18, 73, 20);
  hplabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  hplabel->setFrameStyle(QFrame::NoFrame);
  hplabel->setAlignment(AlignLeft | AlignVCenter);

  hpline = new ULine(hpbox, true);
  hpline->setGeometry(85, 18, 283, 20);
  hpline->setFocusPolicy(QWidget::NoFocus);

  hpbut = new QPushButton(hpbox);
  hpbut->setGeometry(375, 18, 20, 20);
  hpbut->setPixmap(QPixmap(hp_xpm));
  connect(hpbut, SIGNAL(clicked()), this , SLOT(goHomePage()));

  QLabel *genderlabel = new QLabel(i18n("Gender:"),hpbox);
  genderlabel->setGeometry(28, 48, 49, 20);
  genderlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  genderlabel->setFrameStyle(QFrame::NoFrame);
  genderlabel->setAlignment(AlignLeft | AlignVCenter);

  genderline = new ULine(hpbox, true);
  genderline->setGeometry(85, 48, 89, 20);
  genderline->setFocusPolicy(QWidget::NoFocus);

  QLabel *agelabel = new QLabel(i18n("Age:"),hpbox);
  agelabel->setGeometry(184, 48, 32, 20);
  agelabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  agelabel->setFrameStyle(QFrame::NoFrame);
  agelabel->setAlignment(AlignLeft | AlignVCenter);

  ageline = new ULine(hpbox, true);
  ageline->setGeometry(220, 48, 43, 20);
  ageline->setFocusPolicy(QWidget::NoFocus);

  hpcbut = new QPushButton(hpbox);
  hpcbut->setGeometry(272, 46, 124, 25);
  hpcbut->setText(i18n("Homepage Category"));

///////////////////////////////////////////////////////////////////////////////////////////////////////////
  QButtonGroup *dbox = new QButtonGroup(this);
  dbox->setGeometry(2, 108, 404, 48);
  dbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  dbox->setTitle(i18n("Birth Date"));

  QLabel *mlabel = new QLabel(i18n("Month:"),dbox);
  mlabel->setGeometry(10, 18, 46, 20);
  mlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  mlabel->setFrameStyle(QFrame::NoFrame);
  mlabel->setAlignment(AlignLeft | AlignVCenter);

  mline = new ULine(dbox, true);
  mline->setGeometry(58, 18, 100, 20);

  QLabel *dlabel = new QLabel(i18n("Day:"),dbox);
  dlabel->setGeometry(174, 18, 29, 20);
  dlabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  dlabel->setFrameStyle(QFrame::NoFrame);
  dlabel->setAlignment(AlignLeft | AlignVCenter);

  dline = new ULine(dbox, true);
  dline->setGeometry(210, 18, 40, 20);

  QLabel *ylabel = new QLabel(i18n("Year:"),dbox);
  ylabel->setGeometry(269, 18, 38, 20);
  ylabel->setFont(QFont("Helvetica", 12, QFont::Bold, (int)0));
  ylabel->setFrameStyle(QFrame::NoFrame);
  ylabel->setAlignment(AlignLeft | AlignVCenter);

  yline = new ULine(dbox, true);
  yline->setGeometry(310, 18, 74, 20);
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
  QButtonGroup *lbox = new QButtonGroup(this);
  lbox->setGeometry(2, 180, 404, 60);
  lbox->setFrameStyle(QFrame::Box | QFrame::Sunken);
  lbox->setTitle(i18n("Spoken Languages"));

  lang1line = new ULine(lbox, true);
  lang1line->setGeometry(10, 25, 110, 20);

  lang2line = new ULine(lbox, true);
  lang2line->setGeometry(145, 25, 110, 20);

  lang3line = new ULine(lbox, true);
  lang3line->setGeometry(279, 25, 110, 20);

}

void MoreWidget::setInfo(const QString &php, unsigned int page, const QString &pgender)
{
  hpline->setText(php);
  QString pstr;
  page==0?pstr=i18n("N/E"):pstr.setNum(page);
  ageline->setText(pstr);

  if(genderline!=0){ genderline->setText(pgender); }else{ genderline->setText(i18n("Not Entered"));}
}

void MoreWidget::goHomePage()
{
   KWebBrowser::callWebBrowser(hpline->text());
}
