/***************************************************************************
    description          : pref_misc.h
    begin                : Wed Apr 12 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREF_MISC_H
#define PREF_MISC_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qlabel.h>
#include <qchkbox.h>
#include <qgrpbox.h>
#include <qtabwidget.h>

class OtherWidget : public QWidget {
  Q_OBJECT
public:
  OtherWidget(QWidget *);
  void setInfo(int, int, int, int, int);
  int rus() { return recodebox->isChecked(); };
  int closereply() { return closebox->isChecked(); };
  int crlf() { return crlfbox->isChecked(); };
  int quote() { return quotebox->isChecked(); };
  int reconnect() { return reconbox->isChecked(); };
public slots:
signals:
protected:
  QCheckBox *recodebox, *closebox, *crlfbox, *quotebox, *reconbox;
protected slots:
private:
private slots:
};
//////////////////////////////////////////////////////////////////
class MiscTab : public QTabWidget {
    Q_OBJECT
public:
    MiscTab(QWidget *parent = NULL, const char *name = NULL);

protected:
     OtherWidget *other;
};
////////////////////////////////////////////////////////////////////////
class MiscWidget : public QWidget {
    Q_OBJECT
public:
    MiscWidget(QWidget *parent = NULL, const char *name = NULL);
    MiscTab *misctab;
protected:
};
#endif
