/***************************************************************************
    description          : pref_security.h
    begin                : Mon May 29 2000
    copyright            : (C) 2000 by Florian Veskov
    email                : napalmbox@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREF_SECURITY_H
#define PREF_SECURITY_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QLabel;
class QLineEdit;
class QListView;
class QListViewItem;
class QPushButton;
class QRadioButton;
class QTabWidget;

class SecurityWidget : public QWidget
{
    Q_OBJECT

public:
    SecurityWidget( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~SecurityWidget();

};

class SecTab : public QTabWidget {
    Q_OBJECT

public:
    SecTab(QWidget *parent = NULL, const char *name = NULL);

protected:
     SecurityWidget *secwidget;

};

class Security : public QWidget {
    Q_OBJECT

public:
    Security(QWidget *parent = NULL, const char *name = NULL);
    SecTab *sectab;
protected:
};
#endif


