/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
#ifndef _SYSTEMBAR_
#define _SYSTEMBAR_

#include <qlistbox.h>

#ifndef RemoveList
#define RemoveList(x) if(x) { x->clear(); delete x; x = 0; }
#define RemovePopup(x) RemoveList(x)
#endif
#ifndef RemovePointer
#define RemovePointer(x) if(x) { delete x; x = 0; }
#endif

class SystemItem;

class SystemBar : public QListBox {
  Q_OBJECT
public:
  SystemBar(QWidget *parent=0, const char *name=0, WFlags f=0);
  ~SystemBar(void);
public slots:
signals:
protected:
  QPopupMenu *popup;
  SystemItem *useritem;

  void paintCell(QPainter *, int, int);
  void mousePressEvent(QMouseEvent *);
protected slots:
  void openSystemHistory(void);
  void openIncomingFolder(void);
  void openIncomingBookmarks(void);
private:
  void CrashGuard(void);
private slots:
};
#endif

